function [theta,theta1SE,B, FitInfo, b] = min_theta_lasso(y,p,N,RKO,c)

X=zeros(N,N);
for j=1:p
    X(:,j) = RKO(:,(j-1)*N+1:j*N)*c((j-1)*N+1:j*N);
end
[B,FitInfo] = lasso(X,y,'CV',10);

idxLambdaMinMSE = FitInfo.IndexMinMSE;
theta = B(:,idxLambdaMinMSE);

idxLambda1SE = FitInfo.Index1SE;
theta1SE = B(:,idxLambda1SE);

b=FitInfo.Intercept(idxLambda1SE); 

