function  S = corr_matern3(phi,X1,X2)

n1 = size(X1,1);
d = size(X1,2);
n2 = size(X2,1);

if length(phi) ~= d
    phi = phi(1)*ones(d,1);
end


X1_scaled = X1./repmat(phi,1,n1)';
X2_scaled = X2./repmat(phi,1,n2)';
F(1,:,:) = X2_scaled';
diff_val = abs(repmat(X1_scaled,[1,1,n2])-repmat(F,[n1,1,1]));

S = squeeze(prod(1+diff_val,2)).*exp(-squeeze(sum(diff_val,2)));

S = reshape(S,n1,n2);
