function theta = min_theta(y,M,p,N,tau0,RKO,b,c)

theta = (M/p)*ones(p,1);

for k = 1:5
for j = 1:p
    T1 = zeros(N,1);
    T2 = 0;
    for i = 1:p
        T1 = T1 + theta(i)*RKO(:,(i-1)*N+1:i*N)*c((i-1)*N+1:i*N);
        T2 = T2 + theta(i)*c((i-1)*N+1:i*N)'*RKO(:,(i-1)*N+1:i*N)*c((i-1)*N+1:i*N);
    end
    S1 = (y-T1-b*ones(N,1))'*(y-T1-b*ones(N,1))+N*tau0*T2;
    S2 = (y-T1+theta(j)*RKO(:,(j-1)*N+1:j*N)*c((j-1)*N+1:j*N)-b*ones(N,1))'*...
        (y-T1+theta(j)*RKO(:,(j-1)*N+1:j*N)*c((j-1)*N+1:j*N)-b*ones(N,1))+...
        N*tau0*(T2-theta(j)*c((j-1)*N+1:j*N)'*RKO(:,(j-1)*N+1:j*N)*c((j-1)*N+1:j*N));
    if S2 <= S1
        theta(j) = 0;
    end
end
end

